'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const { yellow } = require('chalk');

const _debug = (level, state, label, ...additional) => {
  const { debug } = state.config;
  if (!debug || level > debug) return;

  const [, timingLabel, timingEvent] = label.match(/(.*):(start|end)$/) || [];
  if (timingLabel) {
    const action = timingEvent === 'start' ? 'time' : 'timeEnd';
    console[action](yellow(timingLabel));
  } else {
    console.info(yellow(label, additional.join(['\n\n'])));
  }
};

const debug = exports.debug = (...args) => _debug(1, ...args);
const debug2 = exports.debug2 = (...args) => _debug(2, ...args);
const debug3 = exports.debug3 = (...args) => _debug(3, ...args);
const debug4 = exports.debug4 = (...args) => _debug(4, ...args);
const debug5 = exports.debug5 = (...args) => _debug(5, ...args);