'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const { join, basename, relative } = require('path');
const StringUtil = require('./string');

const entityIdToTitle = exports.entityIdToTitle = id => {
  const base = basename(id);
  const title = StringUtil.titleize(base);

  return title;
};

const entityIdToEntityFilePath = exports.entityIdToEntityFilePath = (path, id) => {
  const absolutePath = join(path, `${id}.yml`);

  return absolutePath;
};

const entityFilePathToEntityId = exports.entityFilePathToEntityId = (path, filePath) => {
  const relativePath = relative(path, filePath);

  // invalid path: this is not an entity
  if (relativePath.startsWith('..')) return null;

  const id = basename(relativePath, '.yml');

  return id;
};