'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const R = require('ramda');
const MarkdownIt = require('markdown-it');
const parsing = require('./parsing');

const markdownIt = exports.markdownIt = new MarkdownIt({
  html: true,
  linkify: true,
  typographer: true
}).use(require('markdown-it-anchor')).use(require('markdown-it-include'));

const parseString = exports.parseString = (string, filename, sourcePaths) => markdownIt.render(string.trim()).trim();

const fromFile = exports.fromFile = R.partial(parsing.fromFile, [parseString]);

const fromString = exports.fromString = R.partial(parsing.fromString, [parseString]);