'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const HEADING_REGEXP = /^<h1.*?>(.*?)<\/h1>/;

const titleize = exports.titleize = string => string.split(/\W+/gi).map(w => w.charAt(0).toUpperCase() + w.slice(1)).join(' ');

const dasherize = exports.dasherize = string => String(string).replace(/\W+/gi, '-');

const hasContent = exports.hasContent = content => !!content && content.replace(HEADING_REGEXP, '').trim().length > 0;

const replaceTemplateComments = exports.replaceTemplateComments = (html, marks) => Object.keys(marks).reduce((current, key) => {
  const regexp = new RegExp(`<!--\\s?uiengine:${key}\\s?-->`, 'gi');
  const content = marks[key];
  return current.replace(regexp, content);
}, html);

const titleFromContentHeading = exports.titleFromContentHeading = content => {
  const [, title] = content && content.match(HEADING_REGEXP) || [];

  return title;
};